2020-08-13 04:03 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002714FSSCPHUDpublic2012-11-19 17:31
ReporterMjnMixael 
Assigned ToGoober5000 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformPCOSWindowsOS VersionWin7
Product Version3.6.13 
Target Version3.6.16Fixed in Version 
Summary0002714: HUD won't change with change-ship-class SEXP
DescriptionUsing Build 9196.

Pretty much that. If I use change-ship-class to change the player to a ship that has a special HUD in hud_gauges.tbl, FSO will not load the HUD at all. It just switches to a blank screen.
Steps To ReproduceI provided a small modpack. Play the HUD Test mission in it. You should see the FS1 HUD at start. After 5 seconds you will switch to a GVF Seth, which calls for the Vasudan HUD.

You will probably see a blank screen.

After 10 more seconds, you will switch back to the GTF Ulysses and the FS1 HUD should return.
TagsNo tags attached.
Attached Files

-Relationships
related to 0002712resolvedkarajorma "change-ship-class" sexp doesnt work for clients 
+Relationships

-Notes

~0013967

karajorma (administrator)

I have to do some work on that SEXP for Mantis 2712. It's not my field exactly but I'll see if anything stands out while I'm poking around in the code.

~0013975

karajorma (administrator)

I gave it a try but I didn't see any HUD at all in any of the ships.

~0013976

karajorma (administrator)

Okay, sorted out that issue by running in 1280x720 like Mjn suggested on IRC. However I don't think I know the HUD code well enough to sort this one out so I'm going to assign it to Swifty before Cooper starts complaining about it anyway

~0014023

Goober5000 (administrator)

I ran into the same issue where I had to switch to 1280x720 to see anything. Unfortunately this exceeds my knowledge of the HUD code as well. So we'll have to await Swifty's availability.

~0014031

Goober5000 (administrator)

Last edited: 2012-11-19 17:31

View 2 revisions

Actually, never mind. Now that I've gotten breakpoints working, I found a nice little function called set_current_hud() that fixed it. :p

Fixed in r9340.

EDIT: and 9361.

+Notes

-Issue History
Date Modified Username Field Change
2012-09-15 13:37 MjnMixael New Issue
2012-09-15 13:37 MjnMixael File Added: HUDTest.7z
2012-09-15 20:51 karajorma Note Added: 0013967
2012-09-25 09:52 karajorma Note Added: 0013975
2012-09-25 10:45 karajorma Note Added: 0013976
2012-09-25 10:45 karajorma Assigned To => Swifty
2012-09-25 10:45 karajorma Status new => assigned
2012-11-08 23:07 niffiwan Target Version => 3.6.16
2012-11-11 00:52 Goober5000 Note Added: 0014023
2012-11-11 22:00 Goober5000 Note Added: 0014031
2012-11-11 22:00 Goober5000 Assigned To Swifty => Goober5000
2012-11-11 22:00 Goober5000 Status assigned => resolved
2012-11-11 22:00 Goober5000 Resolution open => fixed
2012-11-12 11:59 Goober5000 Relationship added related to 0002712
2012-11-19 17:31 Goober5000 Note Edited: 0014031 View Revisions
+Issue History